# rollingfileappender.h File Reference

## Namespaces

namespace | log4cxx
namespace | log4cxx::rolling

## Classes

class | RollingFileAppender
| `RollingFileAppender` extends log4cxx::FileAppender to backup the log files depending on RollingPolicy and TriggeringPolicy. More...

## Defines

#define | _LOG4CXX_ROLLING_ROLLING_FILE_APPENDER_H

## Functions

| log4cxx::rolling::LOG4CXX_PTR_DEF (RollingFileAppender)

## Define Documentation

#define _LOG4CXX_ROLLING_ROLLING_FILE_APPENDER_H